[Troubleshooting] There is no TWAIN-compliant Device installed.


Sometimes when you are using your scanner, you will get a message "There is no TWAIN-compliant Device installed. Please install one and try again." This issue has been found in various scanners, such as HP Laserjet.

There might be some issue with your scanner's TWAIN driver.


Please make sure your scanner's TWAIN driver is installed correctly. If not, you need to reinstall your scanner driver.

You can have a quick validation with your scanner on the free scanning page: http://www.dynamsoft.com/demo/DWT/online_demo_scan.aspx, before & after you reinstall the scanner driver.

This online scanning tools is built with Dynamic Web TWAIN. It supports Internet Explorer 6 or above (32 bit/64 bit), any version of Chrome (32 bit/64 bit), any version of Firefox on Windows; and Safari, 32-bit Chrome and Firefox on Mac OS X 10.6 or later.

Instead, if you have an interest on our scanning solution, please contact Dynamsoft support team for further assistance.

Is this page helpful?

Leave a Reply

Your email address will not be published.